:root {
  --bg-primary: #151515;
  --bg-secondary: #222;
  --bg-light: #f1f1f1;
  --text-primary: #f1f1f1;
  --text-secondary: #ffffff1a;
  --text-dark: #151515;
  --border-color: #1a1a1a1a;
  --shadow: #1a1a1a0f;
  --primary-purple: #663399;
  --secondary-purple: #8864c7;
  --highlight-purple: #7e57c2;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Geist", "sans-serif";
}

.dark {
  background: var(--bg-primary);
}

/* Header */

.header {
  z-index: 20;
  padding: 1.5rem;
  position: fixed;
  inset: 0% 0% auto;

  .navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1360px;
    margin: 0 auto;

    background: #23262866;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);

    padding: 0.75rem 0.75rem 0.75rem 2rem;
    border: 1px solid var(--border-color);
    border-radius: 999px;
    box-shadow: 0 -2px 14px 0 var(--shadow);

    .logo {
      text-decoration: none;
      color: var(--text-primary);
      font-size: 1.5rem;
      margin: 0;
    }

    .hamburger {
      display: none;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 60px;
      height: 60px;
      gap: 6px;
      padding: 5px;

      span {
        width: 60%;
        height: 2px;
        background: var(--text-primary);
        border-radius: 99px;
        transition: 0.3s;
      }
    }

    .nav-links {
      display: flex;
      align-items: center;
      gap: 1rem;

      list-style: none;
    }

    .mobile-only {
      display: none;
    }

    .nav-links li a {
      display: inline-block;
      color: var(--text-primary);
      text-decoration: none;
      opacity: 0.8;
      transition: 0.2s;

      &:hover {
        opacity: 100%;
        transform: scale(1.1);
      }
    }

    .nav-button {
      text-decoration: none;
      color: var(--text-primary);
      border: 1px solid var(--border-color);
      padding: 1rem 1.5rem;
      border-radius: 32px;
      background: var(--bg-primary);
      transition: 0.2s;

      &:hover {
        background: var(--bg-secondary);
        transform: scale(0.98);
      }
    }
  }
}

/* Main */
main {
  .hero {
    display: flex;
    justify-content: center;
    height: 100vh;
    padding: 1.25rem;

    .hero-container {
      display: flex;
      justify-content: space-between;
      max-width: 1360px;
      align-items: center;
      margin: 0 auto;
      height: 100%;
      width: 100%;
      color: var(--text-primary);

      .hero-title {
        background: linear-gradient(135deg, var(--highlight-purple), var(--secondary-purple), var(--primary-purple));
        background-clip: text;
        -webkit-text-fill-color: transparent;
        font-size: 8rem;
      }

      .hero-description {
        font-size: 1.5rem;
        max-width: 30%;

        .highlight {
          background: linear-gradient(135deg, var(--highlight-purple), var(--secondary-purple), var(--primary-purple));
          background-clip: text;
          -webkit-text-fill-color: transparent;
        }
      }
    }
  }

  .about {
    padding: 4rem;

    .about-container {
      max-width: 1360px;
      margin: 0 auto;
      color: var(--text-primary);

      .about-title {
        font-size: 4rem;
      }

      .about-text {
        font-size: 1.5rem;
        padding-bottom: 2rem;
      }

      .about-grid {
        display: grid;
        grid-template-columns: 2fr 1fr 1fr;
        grid-template-areas: "about info1 info2" "about info3 info4";
        gap: 2rem;
        font-size: 1.25rem;

        .about-box {
          background: var(--bg-secondary);
          grid-area: about;
          padding: 1.5rem;
          align-content: center;
          border-radius: 20px;
        }

        .info-box {
          background: var(--bg-secondary);
          padding: 1.5rem;
          border-radius: 20px;
          transition: 0.3s;

          &:hover {
            transform: scale(1.1);
          }

          &:nth-child(2) {
            grid-area: info1;
          }
          &:nth-child(3) {
            grid-area: info2;
          }
          &:nth-child(4) {
            grid-area: info3;
          }
          &:nth-child(5) {
            grid-area: info4;
          }
        }
      }
    }
  }

  .work {
    padding: 4rem;

    .work-container {
      max-width: 1360px;
      margin: 0 auto;
      color: var(--text-primary);

      .work-title {
        font-size: 4rem;
      }

      .work-text {
        font-size: 1.5rem;
        padding-bottom: 2rem;
      }

      .work-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
        margin: 0 auto;
        
        .work-card {
          width: auto;
          transition: 0.3s;
          text-decoration: none;
          color: var(--text-primary);

          &:hover {
            transform: scale(0.98);
          }

          .work-image-container {

            .work-image {
              border-radius: 36px;
              height: 100%;
              width: 100%;
              object-fit: fill;
            }
          }

          .work-content {
            padding: 1.5rem 0;

            .work-content-title {
              font-size: 1.25rem;
              font-weight: 500;
            }

            .work-content-description {
              opacity: 0.7;
            }
          }
        }
      }
    }
  }
}

/* Footer */
.footer {
  .footer-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 1360px;
    margin: 0 auto;
    padding: 5rem 0;

    .footer-text {
      color: var(--text-primary);
      font-size: 2.5rem;
      padding: 2rem 0 3rem;
    }

    .cta-group {
      display: flex;
      align-items: center;
      gap: 1rem;

      .btn {
        text-decoration: none;
        color: var(--text-dark);
        border: 1px solid var(--border-color);
        padding: 1rem 1.5rem;
        border-radius: 32px;
        background: var(--bg-light);
        transition: 0.2s;

        &.secondary {
          background: var(--bg-primary);
          border: 2px solid var(--bg-light);
          color: var(--text-primary);
        }

        &:hover {
          opacity: 0.7;
          transform: scale(0.98);
        }
      }
    }
  }

  .footer-bottom {
    display: flex;
    max-width: 1360px;
    margin: 0 auto;
    justify-content: space-between;
    border-top: 1px solid var(--text-secondary);
    padding: 2rem 0;
  }

  .copy {
    color: var(--text-primary);
  }

  ul {
    display: flex;
    list-style: none;
    gap: 1rem;

    li a {
      color: var(--text-primary);
      text-decoration: none;
      transition: 0.3s;

      &:hover {
        opacity: 0.7;
      }
    }
  }
}

/* ============ */
/* == Mobile == */
/* ============ */

@media (max-width: 768px) {
  .header {
    .navbar {
      .hamburger {
        display: flex;
      }
    }
  }

  .nav-button {
    display: none;
  }

  .navbar .nav-links {
    position: absolute;
    top: 120%;
    right: 0;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
    text-align: right;
    background: #23262866;
    padding: 1rem 2rem;
    gap: 1rem;
    border-radius: 32px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: 0.3s;

    .mobile-only {
      display: flex;
    }

    li {
      width: 100%;
    }

    li a {
      display: block;
      width: 100%;
    }
  }

  .navbar.active .nav-links {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  .navbar.active {
    .hamburger {
      span:nth-child(1) {
        transform: translateY(8px) rotateZ(-45deg);
      }

      span:nth-child(2) {
        opacity: 0;
      }

      span:nth-child(3) {
        transform: translateY(-8px) rotateZ(45deg);
      }
    }
  }

  main {
    .hero {
      padding: 1rem;
      .hero-container {
        text-align: center;
        justify-content: space-evenly;
        flex-direction: column;

        .hero-title {
          font-size: 4rem;
        }

        .hero-description {
          max-width: 270px;
        }
      }
    }

    .about {
      padding: 1.5rem;
      .about-container {
        .about-title {
          font-size: 3rem;
        }

        .about-text {
          font-size: 1.25rem;
        }

        .about-grid {
          grid-template-columns: 1fr;
          grid-template-areas: "about" "info1" "info2" "info3" "info4";
          font-size: 1.15rem;
        }
      }
    }

    .work {
      padding: 1.5rem;
      .work-container {
        .work-title {
          font-size: 3rem;
        }

        .work-text {
          font-size: 1.25rem;
        }

        .work-grid {
          grid-template-columns: 1fr;
        }
      }
    }
  }

  .footer {
    padding: 0 1rem;
    .footer-top {
      text-align: center;

      .footer-text {
        font-size: 1.5rem;
      }
    }

    .footer-bottom {
      flex-direction: column;
      align-items: center;
      gap: 1rem;

      .copy {
        padding-top: 2rem;
        order: 1;
      }
    }
  }
}